## Update namespace. `client.AISearch.Namespaces.Update(ctx, name, params) (*NamespaceUpdateResponse, error)` **put** `/accounts/{account_id}/ai-search/namespaces/{name}` Update namespace. ### Parameters - `name string` - `params NamespaceUpdateParams` - `AccountID param.Field[string]` Path param - `Description param.Field[string]` Body param: Optional description for the namespace. Max 256 characters. ### Returns - `type NamespaceUpdateResponse struct{…}` - `CreatedAt Time` - `Name string` - `Description string` Optional description for the namespace. Max 256 characters. ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/ai_search" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) namespace, err := client.AISearch.Namespaces.Update( context.TODO(), "production", ai_search.NamespaceUpdateParams{ AccountID: cloudflare.F("c3dc5f0b34a14ff8e1b3ec04895e1b22"), }, ) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", namespace.CreatedAt) } ``` #### Response ```json { "result": { "created_at": "2019-12-27T18:11:19.117Z", "name": "production", "description": "Production environment" }, "success": true } ```